Delete Activity Logs
curl --request POST \
--url https://api.velt.dev/v2/activities/delete \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"organizationId": "<string>",
"documentId": "<string>",
"activityIds": [
"<string>"
],
"targetEntityId": "<string>"
}
}
'import requests
url = "https://api.velt.dev/v2/activities/delete"
payload = { "data": {
"organizationId": "<string>",
"documentId": "<string>",
"activityIds": ["<string>"],
"targetEntityId": "<string>"
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
organizationId: '<string>',
documentId: '<string>',
activityIds: ['<string>'],
targetEntityId: '<string>'
}
})
};
fetch('https://api.velt.dev/v2/activities/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"status": "success",
"message": "Activity(s) deleted successfully.",
"data": {
"activity-001": {
"success": true,
"message": "Activity deleted."
}
}
}
}
Activity Logs
Delete Activity Logs
POST
/
v2
/
activities
/
delete
Delete Activity Logs
Use this API to delete activity log records. At least one of
documentId, targetEntityId, or activityIds is required.
Endpoint
POST https://api.velt.dev/v2/activities/delete
Headers
string
required
Your API key.
string
required
Your Auth Token.
Body
Params
object
required
At least one of
documentId, targetEntityId, or activityIds must be provided.Example Requests
1. Delete by activityIds
{
"data": {
"organizationId": "org-123",
"activityIds": ["activity-001", "activity-002"]
}
}
2. Delete all activities for a document
{
"data": {
"organizationId": "org-123",
"documentId": "doc-456"
}
}
3. Delete all activities for a target entity
{
"data": {
"organizationId": "org-123",
"targetEntityId": "annotation-789"
}
}
4. Delete by documentId and targetEntityId
{
"data": {
"organizationId": "org-123",
"documentId": "doc-456",
"targetEntityId": "annotation-789"
}
}
Response
Success Response
{
"result": {
"status": "success",
"message": "Activity(s) deleted successfully.",
"data": {
"activity-001": {
"success": true,
"message": "Activity deleted."
}
}
}
}
When some activities are not found
{
"result": {
"status": "success",
"message": "Activity(s) deleted successfully.",
"data": {
"activity-001": {
"success": false,
"message": "Failed to delete activity."
},
"activity-002": {
"success": true,
"message": "Activity deleted."
}
}
}
}
Failure Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "INVALID_ARGUMENT"
}
}
{
"result": {
"status": "success",
"message": "Activity(s) deleted successfully.",
"data": {
"activity-001": {
"success": true,
"message": "Activity deleted."
}
}
}
}
Was this page helpful?
⌘I

